<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>
		<small>Abertura e Fechamento de Caixa</small>
	</h1>
	<p:tabView id="tabCaixa">
		<p:tab title="Cadastrar">
			<h:form id="form" enctype="multipart/form-data">
				<p:panel>
					<p:toolbar id="tbOpcoes" style="margin-top: 20px">
						<p:toolbarGroup>
							<p:commandButton value="Salvar" id="botaoSalvar"
								actionListener="#{caixaController.getAbrirCaixa}"
								style="background-color: #3C763D;" 
								update="form growl tbOpcoes"
								rendered="#{caixaController.ativo}"
								process="@this :tabCaixa:form:dadosCaixa" />
							<p:commandButton value="Novo" id="botaoNovo"
								style="background-color: #3C8DBC;"
								actionListener="#{caixaController.ativar}"
								rendered="#{!caixaController.ativo}"
								update="tbOpcoes dadosCaixa growl" process="@this" />

							<p:commandButton value="Cancelar" id="botaoCancelar"
								style="background-color: #FF0000;"
								rendered="#{caixaController.ativo}"
								actionListener="#{caixaController.desativar}"
								update="tbOpcoes dadosCaixa" process="@this">
								<p:resetInput target="dadosCaixa" />
							</p:commandButton>
						</p:toolbarGroup>
					</p:toolbar>
				</p:panel>

				<p:panel>
					<p:panelGrid columns="2" id="dadosCaixa" style="padding-top: 10px;">

						<p:outputLabel value="Valor: " />
						<p:inputText disabled="#{!caixaController.ativo}" id="valorA"
							size="20" value="#{caixaController.caixa.valorAbertura}"
							placeholder="ex: 15,20" onkeydown="mascara(this,moeda)">
							<f:convertNumber />
						</p:inputText>

					</p:panelGrid>
				</p:panel>

				<p:panel>
					<p:dataTable id="tabelaCaixa"
						emptyMessage="Nenhuma Caixa encontrado..." paginator="true"
						value="#{caixaController.listaCaixa}"
						paginatorAlwaysVisible="true" paginatorPosition="bottom"
						style="margin-top: 20px" var="caixa" rows="4">
						
						<p:column headerText="Nº Caixa">
							<h:outputText value="#{caixa.id}" />
						</p:column>

						<p:column headerText="Data Abertura">
							<h:outputText value="#{caixa.dataAbertuda}" >
								<f:convertDateTime timeZone="America/Sao_Paulo" locale="pt_BR" dateStyle="long" pattern="dd/MM/yyyy" />
							</h:outputText>
						</p:column>

						<p:column headerText="Valor">
							<h:outputText value="#{caixa.valorAbertura}" >
								<f:convertNumber locale="pt_BR" type="currency"/>
							</h:outputText>
						</p:column>
						
						<p:column headerText="Usuario de Abertuda" >
							<h:outputText value="#{caixa.usuario.nomeCompleto}" />
						</p:column>

						<p:column headerText="Data Fechamento">
							<h:outputText value="#{caixa.dataFechamento}" >
								<f:convertDateTime timeZone="America/Sao_Paulo" locale="pt_BR" dateStyle="long" pattern="dd/MM/yyyy" />
							</h:outputText>
						</p:column>

						<p:column headerText="Valor">
							<h:outputText value="#{caixa.valorFechamento}" >
								<f:convertNumber locale="pt_BR" type="currency"/>
							</h:outputText>
						</p:column>
						
						<p:column headerText="Usuario de Fechamento" >
							<h:outputText value="#{caixa.usuario.nomeCompleto}" />
						</p:column>

						<p:column headerText="Ações" width="90">
							<p:commandButton icon="ui-icon-pencil" title="Fechar Caixa"
								actionListener="#{caixaController.getEditarCaixa}"
								disabled="#{caixa.dataFechamento != null}"
								oncomplete="PF('dlgFecharCaixa').show();">
								<f:attribute name="caixaEditado" value="#{caixa}" />
							</p:commandButton>
						</p:column>
					</p:dataTable>
				</p:panel>
				<!-- comeco dialogo Fechamento caixa -->
				<p:dialog header="Fehcmento de Caixa" widgetVar="dlgFecharCaixa"
					id="dialog-caixa" resizable="false" closeOnEscape="true"
					responsive="true" modal="true">
					<h:panelGroup id="panelFechaCaixa" layout="block"
						styleClass="ui-fluid">

						<h:panelGrid columns="2" styleClass="panelgrid-noborder">
						
							<p:outputLabel value="Valor do Fechamento: " />

							<p:inputText id="valorF" size="20" value="#{caixaController.caixaSelecionado.valorFechamento}"
								placeholder="ex: 15,20" onkeydown="mascara(this,moeda)">
								<f:convertNumber />
							</p:inputText>
							<br />
							
							<p:commandButton value="Fechar Caixa" process="panelFechaCaixa"
								update="tbOpcoes tabelaCaixa panelFechaCaixa growl"
								action="#{caixaController.getFecharCaixa}"
								style="background-color: #3C763D;"
								oncomplete="if(!args.validationFailed) PF('dlgFecharCaixa').hide()" />

						</h:panelGrid>
					</h:panelGroup>
				</p:dialog>
				<!-- fim dialogo Fechamento caixa  -->
				<p:confirmDialog global="true">
					<p:commandButton value="Sim" type="button"
						styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
					<p:commandButton value="Nao" type="button"
						styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
				</p:confirmDialog>
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>